# Πρόγραμμα Διαχωρισμού άρτιων-περιττών αριθμών

#Εισαγωγή βιβλιοθήκης random
import random

# Εμφάνιση Μηνύματος Καλωσορίσματος
print("Καλώς Ήρθατε στο Πρόγραμμα Διαχωρισμού Άρτιων-Περιττών Αριθμών")
print()

# Αρχικοποίηση λιστών με την τιμή [] δηλαδή την κενή λίστα
lista_arithmon=[]
lista_artion=[]
lista_peritton=[]

# Προσθήκη 10 τυχαίων ακέραιων αριθμών μεταξύ του 1 και του 100
# στη λίστα των αριθμών
for i in range(10):
    lista_arithmon.append(random.randint(1,1000))

# Εξέταση κάθε ενός από τους 10 αριθμούς της λίστας αριθμών
# για το εάν είναι άρτιος ή περιττός
for j in range(10):
    # Εξέταση εάν το υπόλοιπο της διαίρεσης του αριθμού με το 2
    # είναι ίσο με μηδέν
    if lista_arithmon[j]%2==0:
        # Εάν το υπόλοιπο είναι 0, τότε ο αριθμός προστίθετε
        # στους άρτιους
        lista_artion.append(lista_arithmon[j])
    else:
        # Εάν το υπόλοιπο δεν είναι 0, τότε ο αριθμός προστίθετε
        # στους περιττούς
        lista_peritton.append(lista_arithmon[j])

# Εμφάνιση των τριών λιστών καθώς και του μήκους των
print("Η λίστα των αριθμών είναι:", lista_arithmon, \
      "και έχει μήκος",len(lista_arithmon))
print()
print("Η λίστα των άρτιων αριθμών είναι:",lista_artion, \
      "και έχει μήκος",len(lista_artion))
print()
print("Η λίστα των περιττών αριθμών είναι:",lista_peritton, \
      "και έχει μήκος",len(lista_peritton))

# Εμφάνιση Μηνύματος Τέλους
print()
print("Ευχαριστούμε που χρησιμοποιήσατε το Πρόγραμμα Διαχωρισμού \
Άρτιων-Περιττών Αριθμών") 

